Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2021-23962

Published: 26 January 2021

Incorrect use of the '<RowCountChanged>' method could have led to a user-after-poison and a potentially exploitable crash. This vulnerability affects Firefox < 85.

Notes

AuthorNote
tyhicks
mozjs contains a copy of the SpiderMonkey JavaScript engine

Priority

Medium

Cvss 3 Severity Score

8.8

Score breakdown

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
hirsute
Released (85.0+build1-0ubuntu1)
impish
Released (85.0+build1-0ubuntu1)
trusty Does not exist

upstream
Released (85)
bionic
Released (85.0+build1-0ubuntu0.18.04.1)
focal
Released (85.0+build1-0ubuntu0.20.04.1)
groovy
Released (85.0+build1-0ubuntu0.20.10.1)
xenial
Released (85.0+build1-0ubuntu0.16.04.1)
jammy
Released (85.0+build1-0ubuntu1)
kinetic
Released (85.0+build1-0ubuntu1)
lunar
Released (85.0+build1-0ubuntu1)
mantic
Released (85.0+build1-0ubuntu1)
mozjs38
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

mozjs52
Launchpad, Ubuntu, Debian
bionic Needs triage

focal Needs triage

groovy Ignored
(end of life)
impish Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

hirsute Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

mozjs60
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

groovy Does not exist

hirsute Does not exist

impish Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

mozjs68
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Needs triage

groovy Ignored
(end of life)
hirsute Does not exist

impish Does not exist

kinetic Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

jammy Does not exist

lunar Does not exist

mantic Does not exist

mozjs78
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

groovy Ignored
(end of life)
hirsute Ignored
(end of life)
impish Ignored
(end of life)
trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Ignored
(end of life, was needs-triage)
jammy Needs triage

mantic Does not exist

lunar Ignored
(end of life, was needs-triage)

Severity score breakdown

Parameter Value
Base score 8.8
Attack vector Network
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H